package com.dla.dda.domain.model.request;

import java.util.Arrays;

import com.dla.dda.domain.constants.CorreoAutorizacionTypes;

public class EmailAutorizacionRequest extends EmailRequest {

	private static final long serialVersionUID = 5264647653876342650L;

	private String aprobacionUsuario;
	private String notificaUsuario;
	private String nombreProyecto;
	private String fechaAutorizacion;
	private CorreoAutorizacionTypes tipoCorreo;

	public String getAprobacionUsuario() {
		return aprobacionUsuario;
	}

	public void setAprobacionUsuario(String aprobacionUsuario) {
		this.aprobacionUsuario = aprobacionUsuario;
	}

	public String getNotificaUsuario() {
		return notificaUsuario;
	}

	public void setNotificaUsuario(String notificaUsuario) {
		this.notificaUsuario = notificaUsuario;
	}

	public String getNombreProyecto() {
		return nombreProyecto;
	}

	public void setNombreProyecto(String nombreProyecto) {
		this.nombreProyecto = nombreProyecto;
	}

	public String getFechaAutorizacion() {
		return fechaAutorizacion;
	}

	public void setFechaAutorizacion(String fechaAutorizacion) {
		this.fechaAutorizacion = fechaAutorizacion;
	}

	public CorreoAutorizacionTypes getTipoCorreo() {
		return tipoCorreo;
	}

	public void setTipoCorreo(CorreoAutorizacionTypes tipoCorreo) {
		this.tipoCorreo = tipoCorreo;
	}

	@Override
	public String toString() {
		return "EmailAutorizacionRequest [aprobacionUsuario="
				+ aprobacionUsuario + ", notificaUsuario=" + notificaUsuario
				+ ", nombreProyecto=" + nombreProyecto + ", fechaAutorizacion="
				+ fechaAutorizacion + ", tipoCorreo=" + tipoCorreo
				+ ", getEtiqueta()=" + getEtiqueta() + ", getBody()="
				+ getBody() + ", getDestinatarios()="
				+ Arrays.toString(getDestinatarios()) + ", getName()="
				+ getName() + ", getDate()=" + getDate() + ", getUserName()="
				+ getUserName() + ", getToCompany()=" + getToCompany()
				+ ", getSubject()=" + getSubject() + ", getOperacion()="
				+ getOperacion() + ", getIos()=" + getIos()
				+ ", getContentType()=" + getContentType()
				+ ", getAttachmentFilename()=" + getAttachmentFilename() + "]";
	}

}
